PyAnsysReport
=============
Welcome to the PyAnsysReport Project!

This is the first release of pyAnsysReport! We continue to enhance this package by including more functionalities and integrating it into Ansys product ecosystem.

Through the **pyAnsysReport**, Ansys provides a Python package that exposes a collection of functionalities to assist with generating reports. pyAnsysReport aims to be a API for a general report generator service. At the current development stage, the report can be rendered as a pdf document. Further developments will be integrated to allow html rendering and others.
With pyAnsysReport, you no longer need to write complex scripts interfacing with low-level APIs, allowing you to interact directly with a high-level API in an object-oriented manner. pyAnsysReport is designed to be easy to integrate into your workflows, especially those using other pyAnsys APIs while achieving a consistent customizable formatting of the rendered document.
Various features are available with pyAnsysReport which includes setting automatic numbering sections, texts, tables, images, page numbers and table of content along with a customizable title page and headers.

Usage
=====

Here is a brief example of how to use **pyAnsysReport**.
More details are provided in the API reference and the examples.

```{code-block} python

    from pyAnsysReport.report import Report
    with Report() as report:
        part = report.add_part('Introduction')
        section = part.add_section('Title of the section')
        section.add_text('To add text in the section')
        report.export_pdf(r'C:\Introduction.pdf')
```


Contributing
============
We are excited to have you on board!

If you would like to contribute to pyAnsysReport, we recommend you to have a look at [Contributing](contributing).

Feel free to contact us by opening a discussion or issue in the respective GitHub repository.