# Copyright (c) 2021 ANSYS, Inc. - Unauthorised use, distribution or duplication is prohibited.

from setuptools import setup, find_packages, find_namespace_packages
from src.ansys.report.sdk import version

setup(
    name="ansys-report-sdk",
    version=version.__version__,
    author="Ansys Inc.",
    author_email="pyansys.support@ansys.com",
    license="MIT",
    description='Python API for creating pdf documents using Ansys Report Generator',
    package_dir={"": "src"},
    packages=find_namespace_packages(where="src", include="ansys*"),
    install_requires=[
        'grpcio==1.42.0', 'grpcio-tools==1.42.0', 'protobuf==3.19.1', 'six == 1.13.0',
        'psutil',
        'ansys-report-engine>=1.0.10'
    ],
    include_package_data=True,
    keywords=['python', 'SDK', 'grpc', 'proto', 'server'],
    package_data={
            "": ["*.config"],
        },
    classifiers=[
        "Development Status :: 4 - Beta",
        "Programming Language :: Python :: 3",
        "Operating System :: Microsoft :: Windows",
    ]
)
