# Copyright (c) 2022 ANSYS, Inc. - Unauthorised use, distribution or duplication is prohibited.

from .report_logger import ReportLogger
from .report_title_page_and_section_base import ReportTitlePageAndSectionBase
from .report_units import ReportUnits

from ansys.report.engine.protos.report_pb2 import VerticalSpace


class ReportTitlePage(ReportTitlePageAndSectionBase):

    @ReportLogger.exception_handler
    def add_vertical_space(self, size):
        """
        Add a vertical space to the title page.

        Parameters
        ----------
        size: float
           Size of the vertical space in centimeter.
        """
        new_vertical_space = VerticalSpace()
        new_vertical_space.parent_id.CopyFrom(self._id)
        new_vertical_space.size.value = size
        new_vertical_space.size.unit = ReportUnits.CENTIMETER.value
        self._report_client.AddVerticalSpaceToTitlePage(new_vertical_space)
